binCount1D {oce} | R Documentation

## Bin-count vector data

### Description

Count the number of elements of a given vector that fall within successive pairs of values within a second vector.

### Usage

    binCount1D(x, xbreaks)

### Arguments

`x` | Vector of numerical values.
`xbreaks` | Vector of values of x at the boundaries between bins, calculated using `pretty` if not supplied.

### Value

A list with the following elements: the breaks (`xbreaks`, midpoints (`xmids`) between those breaks, and the count (`number`) of `x` values between successive breaks.

### Author(s)

Dan Kelley

### See Also

Other bin-related functions: `binApply1D`, `binApply2D`, `binAverage`, `binCount2D`, `binMean1D`, `binMean2D`

[Package oce version 0.9-22 Index]